/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Application Routes
 */

import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { SiteRoutingModule } from '@site/site-routing.module';
import { UsersRoutingModule } from '@users/users-routing.module';
import { CompaniesRoutingModule } from '@companies/companies-routing.module';
import { LocationsRoutingModule } from '@locations/locations-routing.module';
import { SoftwareRoutingModule } from '@software/software-routing.module';
import { ProductsRoutingModule } from '@products/products-routing.module';
import { SystemsRoutingModule } from '@systems/systems-routing.module';
import { IssuesRoutingModule } from '@issues/issues-routing.module';

const routes: Routes = [
  {
    path: '',
    loadChildren: () => SiteRoutingModule,
  },
  {
    path: 'companies',
    loadChildren: () => CompaniesRoutingModule,
  },
  {
    path: 'locations',
    loadChildren: () => LocationsRoutingModule,
  },
  {
    path: 'my-location',
    loadChildren: () => LocationsRoutingModule,
  },
  {
    path: 'users',
    loadChildren: () => UsersRoutingModule,
  },
  {
    path: 'software',
    loadChildren: () => SoftwareRoutingModule,
  },
  {
    path: 'products',
    loadChildren: () => ProductsRoutingModule,
  },
  {
    path: 'systems',
    loadChildren: () => SystemsRoutingModule,
  },
  {
    path: 'helpdesk',
    loadChildren: () => IssuesRoutingModule,
  },
  {
    path: 'issues',
    loadChildren: () => IssuesRoutingModule,
  },
  {
    path: '**',
    redirectTo: '/not-found',
  },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
