/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Application Component
 */

import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { actions as authActions } from '@auth';

@Component({
  selector: 'app-root',
  template: `
    <router-outlet></router-outlet>
    <notifications-stack></notifications-stack>
  `,
})
export class AppComponent implements OnInit {
  constructor(private _store: Store) {}

  ngOnInit() {
    // When the application starts, request the Auth module
    // to load the authenticated user from localStorage in
    // case there is one.
    this._store.dispatch(authActions.loadUserData());
  }
}
