/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * AuthPrivate Guard
 */

import { Injectable } from '@angular/core';
import { Router, CanActivate } from '@angular/router';
import { Store, select } from '@ngrx/store';
import { map } from 'rxjs/operators';
import { selectors } from '../state';
import { IAuthUserData } from '../models';

@Injectable()
export class AuthPrivate implements CanActivate {
  constructor(private _store: Store, private _router: Router) {}

  canActivate() {
    return this._store.pipe(select(selectors.selectUser)).pipe(
      map((userData?: IAuthUserData) => {
        if (userData) {
          return true;
        }

        this.return();
        return false;
      })
    );
  }

  return() {
    window.setTimeout(() => this._router.navigate(['/users/login']));
  }
}
