import { createAction, props } from '@ngrx/store';
import { IAuthLoginData, IAuthUserData } from '../models';

export const logIn = createAction(
  '[Auth] Log In',
  props<{ loginData: IAuthLoginData }>()
);
export const logInSuccess = createAction(
  '[Auth] Log In Success',
  props<{ userData: IAuthUserData }>()
);
export const logInError = createAction('[Auth] Log In Error');

export const logOut = createAction('[Auth] Log Out', props<{ id: string }>());
export const logOutSuccess = createAction('[Auth] Log Out Success');
export const logOutError = createAction('[Auth] Log Out Error');

export const loadUserData = createAction('[Auth] Load User Data');
export const loadUserDataSuccess = createAction(
  '[Auth] Load User Data Success',
  props<{ userData: IAuthUserData }>()
);
