import { createSelector } from '@ngrx/store';
import { FEATURE_STATE_NAME, State } from './reducer';

interface AppState {
  [FEATURE_STATE_NAME]: State;
}

export const selectState = (state: AppState) => state[FEATURE_STATE_NAME];

export const selectToken = createSelector(
  selectState,
  (state) => state.userData?.token
);

export const selectIsUserLoggedIn = createSelector(
  selectState,
  (state) => state.userData !== null
);

export const selectUser = createSelector(
  selectState,
  (state) => state.userData
);

export const selectIsLoggingIn = createSelector(
  selectState,
  (state) => state.loggingIn
);

export const selectIsLoggingOut = createSelector(
  selectState,
  (state) => state.loggingOut
);
