import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { Actions, createEffect, ofType } from '@ngrx/effects';
import { tap } from 'rxjs/operators';
import * as actions from './actions';

@Injectable()
export class uiEffects {
  constructor(private _actions$: Actions, private _router: Router) {}

  // On successfull log in, redirect the user to the dashboard.
  redirectOnLogInSuccess$ = createEffect(
    () =>
      this._actions$.pipe(
        ofType(actions.logInSuccess),
        tap(() => {
          this._router.navigate(['/']);
        })
      ),
    { dispatch: false }
  );

  // On successfull log out, redirect the user to the home screen.
  redirectOnLogOutSuccess$ = createEffect(
    () =>
      this._actions$.pipe(
        ofType(actions.logOutSuccess),
        tap(() => {
          this._router.navigate(['/users/login']);
        })
      ),
    { dispatch: false }
  );
}
