/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Companies Routing Module
 */

import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CompaniesIndexPage } from './pages/index/companies-index.page';
import { CompaniesViewPage } from './pages/view/companies-view.page';
import { CompanyResolver } from './resolvers/company.resolver';

import { AuthPrivate } from '@auth/guards/auth-private.guard';

const routes: Routes = [
  {
    path: '',
    canActivate: [AuthPrivate],
    children: [
      {
        path: ':id',
        component: CompaniesViewPage,
        resolve: { company: CompanyResolver },
      },
      { path: '', component: CompaniesIndexPage, pathMatch: 'full' },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CompaniesRoutingModule {}
