/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Companies List Item Component
 */

import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { CompanyType, CompanyListItemDto } from '../../dto';

@Component({
  selector: 'companies-list-item',
  templateUrl: 'companies-list-item.component.html',
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CompaniesListItemComponent {
  @Input() item: CompanyListItemDto;

  typeColors = {
    [CompanyType.customer]: '#d6ab4c',
    [CompanyType.partner]: '#8cd070',
    [CompanyType.representative]: '#70d0cc',
    [CompanyType.other]: '#969fa5',
  };

  get color(): string {
    const type = Object.keys(this.typeColors).find(
      (key) => key === CompanyType[this.item.type]
    );

    return this.typeColors[type];
  }
}
