export enum CompanyType {
  'customer' = 'Customer',
  'representative' = 'Representative',
  'partner' = 'Partner',
  'other' = 'Other',
}

export enum CompanyIndustry {
  'aerospace' = 'Aerospace',
  'automotive' = 'Automotive',
  'flat_products' = 'Flat Products',
  'long_products' = 'Long Products',
  'nuclear' = 'Nuclear',
  'railroad' = 'Railroad',
  'oil_gas' = 'Oil and Gas',
  'other' = 'Other',
}

export interface CompanySelectItemDto {
  id: string;
  name: string;
}

export class CompanyListDto {
  total: number;
  data: CompanyListItemDto[];
}

export class CompanyListItemDto {
  id: string;
  name: string;
  type: string;
  industry: string;
  logo: string;
  isActive: boolean;
  totalLocations: number;
  totalUsers: number;
  totalSystems: number;
}

export class CompanyDto {
  id: string;
  authorId: string;
  authorName: string;
  name: string;
  description: string;
  type: string;
  industry: string;
  web: string;
  logo: string;
  notes: string;
  isActive: boolean;
  created: string;
  updated: string;
}

export class CompanyWriteDto {
  id: string;
  name: string;
  type: string;
  industry: string;
  description: string;
  logoFile: string;
  web: string;
  notes: string;
  isActive: boolean;
}
