/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Companies View Page Component
 */

import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Store, select } from '@ngrx/store';
import { IAuthUserData, selectors as authSelectors } from '@auth';
import { UserProfileType } from '@users';

@Component({
  selector: 'companies-view-page',
  templateUrl: 'companies-view.page.html',
})
export class CompaniesViewPage implements OnInit {
  userData$: Observable<IAuthUserData>;

  constructor(private _store: Store) {}

  ngOnInit() {
    this.userData$ = this._store.pipe(select(authSelectors.selectUser));
  }

  parseTitle(userData: IAuthUserData): string {
    return UserProfileType[userData?.profile] === UserProfileType.innerspec
      ? 'Companies'
      : 'Company';
  }
}
