import { Component, Input, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Store, select } from '@ngrx/store';
import { actions, selectors } from '../../state';
import { IssueCommentDto } from '../../dto';

@Component({
  selector: 'issueComments-delete',
  templateUrl: 'issueComments-delete.component.html',
})
export class IssueCommentsDeleteComponent implements OnInit {
  @Input() id: string;

  isDeleting$: Observable<boolean>;
  item$: Observable<IssueCommentDto>;

  constructor(private _store: Store) {}

  ngOnInit() {
    this.isDeleting$ = this._store.pipe(select(selectors.selectIsDeletingItem));
    this.item$ = this._store.pipe(select(selectors.selectCurrentItem));
  }

  handleSubmit(id: string) {
    this._store.dispatch(actions.deleteItem({ id }));
  }
}
