import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';
import { RouterModule } from '@angular/router';

import { UiModule } from '@shared/ui/ui.module';
import { ModalModule } from '@shared/modal/modal.module';
import { ModalFormModule } from '@shared/modal-form';

import { state, modelEffects, uiEffects } from './state';
import { IssueCommentsService } from './issueComments.service';

import { IssueCommentsCreateComponent } from './components/create/issueComments-create.component';
import { IssueCommentsDeleteComponent } from './components/delete/issueComments-delete.component';
import { IssueCommentsTableComponent } from './components/table/issueComments-table.component';

@NgModule({
  imports: [
    CommonModule,
    UiModule,
    ReactiveFormsModule,
    ModalModule,
    ModalFormModule,
    StoreModule.forFeature(state.FEATURE_STATE_NAME, state.reducer),
    EffectsModule.forFeature([modelEffects, uiEffects]),
    RouterModule,
  ],
  providers: [IssueCommentsService],
  declarations: [
    IssueCommentsCreateComponent,
    IssueCommentsDeleteComponent,
    IssueCommentsTableComponent,
  ],
  exports: [
    IssueCommentsCreateComponent,
    IssueCommentsDeleteComponent,
    IssueCommentsTableComponent,
  ],
})
export class IssueCommentsModule {}
