import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { CRUDService } from '@shared/classes/CRUDService';
import { ConfigService } from '@shared/config';
import { IssueCommentDto, IssueCommentWriteDto } from './dto';
import { Observable } from 'rxjs';

@Injectable()
export class IssueCommentsService extends CRUDService<
  IssueCommentDto,
  IssueCommentWriteDto
> {
  constructor(http: HttpClient, config: ConfigService) {
    const endpoint = config.get('apiUrl') + '/issueComments';
    super(http, endpoint);
  }

  getForIssue(systemId: string): Observable<IssueCommentDto[]> {
    return this.http.get<IssueCommentDto[]>(
      `${this.endpoint}/issue/${systemId}`
    );
  }
}
