import { createAction, props } from '@ngrx/store';
import {
  IssueCommentDto,
  IssueCommentWriteDto,
} from '../dto';

export const selectItem = createAction(
  '[IssueComments] Select IssueComment',
  props<{ id: string }>()
);

export const loadItems = createAction(
  '[IssueComments] Load IssueComments',
  props<{ issueId: string }>()
);
export const loadItemsSuccess = createAction(
  '[IssueComments] Load IssueComments Success',
  props<{ items: IssueCommentDto[] }>()
);
export const loadItemsError = createAction(
  '[IssueComments] Load IssueComments Error'
);

export const loadItem = createAction(
  '[IssueComments] Load IssueComment',
  props<{ id: string }>()
);
export const loadItemSuccess = createAction(
  '[IssueComments] Load Item Success',
  props<{ item: IssueCommentDto }>()
);
export const loadItemError = createAction(
  '[IssueComments] Load IssueComment Error'
);

export const addItem = createAction(
  '[IssueComments] Add IssueComment',
  props<{ item: IssueCommentWriteDto }>()
);
export const addItemSuccess = createAction(
  '[IssueComments] Added IssueComment',
  props<{ item: IssueCommentDto }>()
);
export const addItemError = createAction(
  '[IssueComments] Add IssueComment Error'
);

export const deleteItem = createAction(
  '[IssueComments] Delete IssueComment',
  props<{ id: string }>()
);
export const deleteItemSuccess = createAction(
  '[IssueComments] Delete IssueComment Success',
  props<{ id: string }>()
);
export const deleteItemError = createAction(
  '[IssueComments] Delete IssueComment Success'
);
