import { Component, Input, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { IssuesService } from '../../issues.service';
import { ModelTypes, IssueTotalsDto } from '../../dto';

@Component({
  selector: 'issues-badges',
  templateUrl: 'issues-badges.component.html',
})
export class IssuesBadgesComponent implements OnInit {
  @Input() forModel: ModelTypes;
  @Input() modelId: string;

  totals$: Observable<IssueTotalsDto>;
  isLoading$: Observable<boolean>;

  constructor(private _service: IssuesService) {}

  ngOnInit() {
    this.totals$ = this._service.getForModel(
      this.forModel,
      this.modelId,
      true
    ) as Observable<IssueTotalsDto>;
  }
}
