export enum IssueType {
  'bug' = 'Bug',
  'feature request' = 'Feature Request',
  'problem' = 'Problem',
}

export enum IssueStatusType {
  'open' = 'Open',
  'in progress' = 'In Progress',
  'ready to test' = 'Ready to Test',
  'fixed' = 'Fixed',
  'closed' = 'Closed',
  'need information' = 'Need Information',
}

export enum IssuePriorityType {
  'show stopper' = 'Show Stopper',
  'critical' = 'Critical',
  'normal' = 'Normal',
  'low' = 'Low',
}

export type ModelTypes =
  | 'dashboard'
  | 'company'
  | 'location'
  | 'system'
  | 'user';

export class IssueTotalsDto {
  open: number;
  pending: number;
  closed: number;
}

export class IssueListDto {
  total: number;
  data: IssueListItemDto[];
}

export class IssueListItemDto {
  id: string;
  authorName: string;
  number: number;
  subject: string;
  systemId: string;
  systemSN: string;
  productName: string;
  agentName: string;
  locationName: string;
  companyName: string;
  type: string;
  priority: string;
  status: string;
  created: string;
}

export class IssueDto {
  id: string;
  authorId: string;
  authorName: string;
  number: number;
  subject: string;
  description: string;
  systemId: string;
  systemSN: string;
  productPN: string;
  productName: string;
  agentId: string;
  agentName: string;
  locationId: string;
  locationName: string;
  companyName: string;
  type: string;
  priority: string;
  status: string;
  created: string;
}

export class IssueWriteDto {
  subject: string;
  description?: string;
  type: string;
  priority: string;
  status: string;
  system: string;
  agent: string;
}
