import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { IssuesIndexPage } from './pages/index/issues-index.page';
import { IssuesViewPage } from './pages/view/issues-view.page';
import { IssueResolver } from './resolvers/issue.resolver';
import { AuthPrivate } from '@auth/guards/auth-private.guard';

const routes: Routes = [
  {
    path: '',
    canActivate: [AuthPrivate],
    children: [
      { path: '', component: IssuesIndexPage, pathMatch: 'full' },
      {
        path: ':id',
        component: IssuesViewPage,
        resolve: { issue: IssueResolver },
      },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class IssuesRoutingModule {}
