export enum LocationType {
  'office' = 'Office',
  'plant' = 'Plant',
  'factory' = 'Factory',
  'other' = 'Other',
}

export class LocationListDto {
  total: number;
  data: LocationListItemDto[];
}

export class LocationListItemDto {
  id: string;
  name: string;
  type: string;
  city: string;
  lat: string;
  lng: string;
  country: string;
  companyName: string;
  isActive: boolean;
  totalUsers: number;
  totalSystems: number;
}

export class LocationDto {
  id: string;
  authorId: string;
  authorName: string;

  name: string;
  type: string;
  description?: string;

  lat: string;
  lng: string;
  street: string;
  street2?: string;
  city: string;
  zip: string;
  state: string;
  phone: string;
  country: string;

  isInnerspec: boolean;
  companyId: string;
  companyName: string;
  isActive: boolean;
  notes: string;
  created: string;
  updated: string;
}

export class LocationWriteDto {
  name: string;
  type: string;
  description: string;
  country: string;
  company: string;
  isActive: boolean;
  notes: string;
}
