import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LocationsIndexPage } from './pages/index/locations-index.page';
import { LocationsViewPage } from './pages/view/locations-view.page';
import { LocationResolver } from './resolvers/location.resolver';
import { AuthPrivate } from '@auth/guards/auth-private.guard';

const routes: Routes = [
  {
    path: '',
    canActivate: [AuthPrivate],
    children: [
      {
        path: ':id',
        component: LocationsViewPage,
        resolve: { location: LocationResolver },
      },
      { path: '', component: LocationsIndexPage, pathMatch: 'full' },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class LocationsRoutingModule {}
