import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { CRUDService } from '@shared/classes/CRUDService';
import { ConfigService } from '@shared/config';
import { LocationListItemDto, LocationWriteDto } from './dto';
import { Observable } from 'rxjs';

@Injectable()
export class LocationsService extends CRUDService<
  LocationListItemDto,
  LocationWriteDto
> {
  constructor(http: HttpClient, config: ConfigService) {
    const endpoint = config.get('apiUrl') + '/locations';
    super(http, endpoint);
  }

  getForCompany(companyId: string): Observable<LocationListItemDto[]> {
    return this.http.get<LocationListItemDto[]>(
      `${this.endpoint}/company/${companyId}`
    );
  }
}
