import { Component } from '@angular/core';
import { Observable } from 'rxjs';
import { Store, select } from '@ngrx/store';
import { IAuthUserData, selectors as authSelectors } from '@auth';
import { UserProfileType } from '@users';

@Component({
  selector: 'locations-view-page',
  templateUrl: 'locations-view.page.html',
})
export class LocationsViewPage {
  userData$: Observable<IAuthUserData>;

  constructor(private _store: Store) {}

  ngOnInit() {
    this.userData$ = this._store.pipe(select(authSelectors.selectUser));
  }

  parseTitle(userData: IAuthUserData): string {
    return UserProfileType[userData?.profile] === UserProfileType.innerspec
      ? 'Locations'
      : 'My Location';
  }
}
