/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * DTO definitions for Products.
 */

export enum ProductType {
  'integrated' = 'Integrated',
  'portable' = 'Portable',
}

export class ProductsListDto {
  total: number;
  data: ProductListItemDto[];
}

export class ProductListItemDto {
  id: string;
  pn: string;
  name: string;
  type: ProductType;
  image: string;
  softwareName: string;
  totalSystems: number;
  totalLocations: number;
  isActive: boolean;
}

export class ProductDto {
  id: string;
  pn: string;
  name: string;
  type: ProductType;
  image: string;
  softwareId: string;
  softwareName: string;
  description: string;
  isActive: boolean;
  notes: string;
  created: string;
  updated: string;
}

export class ProductWriteDto {
  id: string;
  pn: string;
  name: string;
  type: ProductType;
  image: string;
  software: string;
  description: string;
  isActive: boolean;
  notes: string;
}
