/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Routing module for Products Module.
 */

import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProductsIndexPage } from './pages/index/products-index.page';
import { ProductsViewPage } from './pages/view/products-view.page';
import { ProductResolver } from './resolvers/product.resolver';

import { AuthPrivate } from '@auth/guards/auth-private.guard';

const routes: Routes = [
  {
    path: '',
    canActivate: [AuthPrivate],
    children: [
      {
        path: ':id',
        component: ProductsViewPage,
        resolve: { location: ProductResolver },
      },
      { path: '', component: ProductsIndexPage, pathMatch: 'full' },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ProductsRoutingModule {}
