import { FormGroup } from '@angular/forms';

export interface ISelectItem {
  value: string;
  label: string;
}

export abstract class FormComponent {
  form: FormGroup;
  isBusy: boolean;

  //abstract handleSubmit(values?: any);

  c(name: string) {
    const component = this.form.get(name);
    const isInvalid =
      (component.touched || component.dirty) && component.invalid;

    return {
      value: component.value,
      isInvalid,
      hasError: (name: string) => component.hasError(name),
      validClass: () => ({ 'is-invalid': isInvalid }),
    };
  }

  resetForm() {
    this.form.reset();
  }

  enumToSelectItems(enumType: any): ISelectItem[] {
    return Object.keys(enumType).map((key) => ({
      value: key,
      label: enumType[key],
    }));
  }
}
