import { Component, Input, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Store, select } from '@ngrx/store';
import { actions, selectors } from '../../state';
import { DocumentDto } from '../../dto';

@Component({
  selector: 'documents-delete',
  templateUrl: 'documents-delete.component.html',
})
export class DocumentsDeleteComponent implements OnInit {
  @Input() id: string;
  @Input() documentId: string;

  isDeleting$: Observable<boolean>;
  item$: Observable<DocumentDto>;

  constructor(private _store: Store) {}

  ngOnInit() {
    this.isDeleting$ = this._store.pipe(select(selectors.selectIsDeletingItem));
  }

  handleSubmit() {
    this._store.dispatch(actions.deleteItem({ id: this.documentId }));
  }
}
