import { createAction, props } from '@ngrx/store';
import { DocumentDto, DocumentWriteDto } from '../dto';

export const loadItems = createAction(
  '[Documents] Load Documents',
  props<{ entityId: string }>()
);
export const loadItemsSuccess = createAction(
  '[Documents] Load Documents Success',
  props<{ items: DocumentDto[] }>()
);
export const loadItemsError = createAction('[Documents] Load Documents Error');

export const loadItem = createAction(
  '[Documents] Load Document',
  props<{ id: string }>()
);
export const loadItemError = createAction('[Documents] Load Document Error');

export const addItem = createAction(
  '[Documents] Add Document',
  props<{ item: DocumentWriteDto }>()
);
export const addItemSuccess = createAction(
  '[Documents] Added Document',
  props<{ item: DocumentDto }>()
);
export const addItemError = createAction('[Documents] Add Document Error');

export const deleteItem = createAction(
  '[Documents] Delete Document',
  props<{ id: string }>()
);
export const deleteItemSuccess = createAction(
  '[Documents] Delete Document Success',
  props<{ id: string }>()
);
export const deleteItemError = createAction(
  '[Documents] Delete Document Success'
);
