import { createSelector } from '@ngrx/store';
import { STATE_FEATURE_NAME, IModalFormState } from './modal-form.reducer';

const selectModalState = (appState) => appState[STATE_FEATURE_NAME];

export const selectIsOpen = createSelector(
  selectModalState,
  (state: IModalFormState) => state.open
);

export const selectId = createSelector(
  selectModalState,
  (state: IModalFormState) => state.id
);

export const isBusy = createSelector(
  selectModalState,
  (state: IModalFormState) => state.busy
);

export const shouldReset = createSelector(
  selectModalState,
  (state: IModalFormState) => state.reset
);
