import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { IModalService, IModalState } from './modal.interface';

@Injectable()
export class ModalService implements IModalService {
  state$: BehaviorSubject<IModalState> = new BehaviorSubject({
    isOpen: false,
    id: '',
  });

  constructor() {}

  open(id: string) {
    this.state$.next({ isOpen: true, id });
  }

  close() {
    this.state$.next({ isOpen: false, id: '' });
  }
}
