import { Action, createReducer, on } from '@ngrx/store';
import * as modalActions from './modal.actions';

export const STATE_FEATURE_NAME = 'modal';

export interface IModalState {
  open: boolean;
  id: string;
  busy: boolean;
}

const initialState: IModalState = {
  open: false,
  id: null,
  busy: false,
};

const _modalReducer = createReducer(
  initialState,
  on(modalActions.openModal, (state, { id }) => ({
    ...state,
    id,
    busy: false,
    open: true,
  })),
  on(modalActions.closeModal, (state) => ({
    ...state,
    id: null,
    open: false,
  })),
  on(modalActions.setBusy, (state, { busy }) => ({ ...state, busy }))
);

export function modalReducer(state: IModalState | undefined, action: Action) {
  return _modalReducer(state, action);
}
