import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';
import { UiModule } from '@shared/ui/ui.module';
import { ModelLocationSelectorComponent } from './components/locations/model-location-selector.component';
import { ModelSoftwareSelectorComponent } from './components/software/model-software-selector.component';
import { ModelProductSelectorComponent } from './components/products/model-product-selector.component';
import { ModelSoftwareModuleSelectorComponent } from './components/softwareModule/model-software-module-selector.component';
import { ModelUserSelectorComponent } from './components/users/model-user-selector.component';

@NgModule({
  imports: [CommonModule, ReactiveFormsModule, UiModule],
  declarations: [
    ModelLocationSelectorComponent,
    ModelSoftwareSelectorComponent,
    ModelProductSelectorComponent,
    ModelSoftwareModuleSelectorComponent,
    ModelUserSelectorComponent,
  ],
  exports: [
    ModelLocationSelectorComponent,
    ModelSoftwareSelectorComponent,
    ModelProductSelectorComponent,
    ModelSoftwareModuleSelectorComponent,
    ModelUserSelectorComponent,
  ],
})
export class ModelSelectorModule {}
