import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Store, select } from '@ngrx/store';
import { selectors, actions } from '../../state';
import { Notification } from '../../models';

@Component({
  selector: 'notifications-stack',
  templateUrl: 'notifications-stack.container.html',
  styleUrls: ['notifications-stack.container.scss'],
})
export class NotificationsStackContainer implements OnInit {
  notifications$: Observable<Notification[]>;

  constructor(private _store: Store) {}

  ngOnInit() {
    this.notifications$ = this._store.pipe(
      select(selectors.selectNotifications)
    );
  }

  handleCloseNotification(id: number) {
    this._store.dispatch(actions.close({ id }));
  }
}
