/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Fade Animations
 *
 * Definitions of several animations that execute fade ins and outs
 * with configurable durations.
 */
import {
  trigger,
  state,
  style,
  transition,
  animate,
} from '@angular/animations';

export function fadeInAnimation(duration = '1000ms') {
  return trigger('fadeIn', [
    state('*', style({ opacity: 1 })),
    state('void', style({ opacity: 0 })),
    transition(':enter', animate(`${duration} ease`)),
  ]);
}

export function fadeOutAnimation(duration = '1000ms') {
  return trigger('fadeIn', [
    state('*', style({ opacity: 1 })),
    state('void', style({ opacity: 0 })),
    transition(':leave', animate(`${duration} ease`)),
  ]);
}
