/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiDateComponent
 */

import { Component, Input, OnInit } from '@angular/core';
import { AbstractControl, FormControl } from '@angular/forms';
import { FormInputControl } from '@shared/classes/FormInputControl';

@Component({
  selector: 'ui-date',
  templateUrl: 'ui-date.component.html',
  styleUrls: ['ui-date.component.scss'],
})
export class UiDateComponent extends FormInputControl implements OnInit {
  @Input() control: FormControl;
  @Input() label: string;
  @Input() name: string;
  @Input() min: string = '2021-01-01';
  @Input() max: string = '2050-01-01';

  required: boolean = false;

  constructor() {
    super();
  }

  ngOnInit() {
    const validator =
      this.control.validator && this.control.validator({} as AbstractControl);
    this.required = validator && validator.required;
  }

  get inputName(): string {
    return this.name || this.label.split(' ').join('_').toLowerCase();
  }
}
