/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiFieldComponent
 */

import { Component, Input } from '@angular/core';

export type UiFieldType = 'textline' | 'text' | 'link' | 'toggle';

@Component({
  selector: 'ui-field',
  templateUrl: 'ui-field.component.html',
  styleUrls: ['ui-field.component.scss'],
})
export class UiFieldComponent {
  @Input() label: string;
  @Input() value: string;
  @Input() type: UiFieldType = 'textline';

  @Input() isLoading = false;
  @Input() url: string;

  get isUrlExternal(): boolean {
    if (this.type !== 'link' || !this.url) {
      return false;
    }

    return this.url.indexOf('http') === 0;
  }
}
