/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiListHeader
 */

import { Component, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'ui-list-header',
  templateUrl: 'ui-list-header.component.html',
})
export class UiListHeaderComponent {
  @Input() title: string;
  @Input() busy: boolean;
  @Input() allowAddItem: boolean = false;
  @Input() sortOrder: string = 'asc';
  @Input() showFilterOptions: boolean = true;

  @Output() onSearchChange = new EventEmitter();
  @Output() onOrderChange = new EventEmitter();
  @Output() onSortByChange = new EventEmitter();
  @Output() onAddNew = new EventEmitter();

  handleSearchChange(e: Event) {
    const target = e.target as HTMLInputElement;
    this.onSearchChange.emit(target.value);
  }

  handleOrderChange(order: string) {
    this.onOrderChange.emit(order);
  }

  handleAddNewClick() {
    this.onAddNew.emit();
  }
}
