/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiListComponent
 */

import {
  Component,
  Input,
  OnInit,
  Output,
  EventEmitter,
  TemplateRef,
} from '@angular/core';
import { fadeInAnimation } from '../../animations';

@Component({
  selector: 'ui-list',
  templateUrl: 'ui-list.component.html',
  animations: [fadeInAnimation('500ms')],
})
export class UiListComponent implements OnInit {
  @Input() busy: boolean;
  @Input() items: any[];
  @Input() itemTemplate: TemplateRef<any>;
  @Input() noItemsTemplate: TemplateRef<any>;
  @Input() selectedItemId: number | string | null;

  @Output() onSelectItem = new EventEmitter();

  ngOnInit() {}

  trackBy(index: string, item: any) {
    return item.id;
  }

  handleClickItem(id: string) {
    this.selectedItemId = id;
    this.onSelectItem.emit(id);
  }
}
