/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiLoadingComponent
 */

import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'ui-loading',
  templateUrl: 'ui-loading.component.html',
})
export class UiLoadingComponent implements OnInit {
  @Input() msg = 'Loading..';

  isVisible = false;

  // We don't want to show the loader until a certain amount
  // of time has passed to avoid flickering on fast connections.
  ngOnInit() {
    setTimeout(() => {
      this.isVisible = true;
    }, 1500);
  }
}
