import { Component, Input, OnInit } from '@angular/core';
import { ConfigService } from '@shared/config/config.service';

export type PageTypes = 'listView' | 'blank';

@Component({
  selector: 'ui-page-public',
  templateUrl: './ui-page-public.component.html',
})
export class UiPagePublicComponent implements OnInit {
  @Input() type: PageTypes = 'listView';
  @Input() title: string;

  private _appName: string;

  constructor(private _config: ConfigService) {
    this._appName = this._config.get('appName');
  }

  ngOnInit(): void {
    document.title = this.title
      ? `${this._appName} - ${this.title}`
      : this._appName;
  }
}
