/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiPanelComponent
 */

import { Component, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'ui-panel',
  templateUrl: 'ui-panel.component.html',
  styleUrls: ['./ui-panel.component.scss'],
})
export class UiPanelComponent {
  @Input() title: string;
  @Input() total: number;
  @Input() simple = false;
  @Input() allowAddNew: boolean;
  @Input() addNewLabel = 'Create one';
  @Input() addNewIconName = 'bi-plus-circle';

  @Output() onAddNew = new EventEmitter();

  getTotal() {
    return this.total > 0 ? `(${this.total})` : '';
  }

  handleAddNewClick() {
    this.onAddNew.emit();
  }
}
