/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiSidemenuComponent
 */

import {
  ChangeDetectionStrategy,
  Component,
  Input,
  OnInit,
} from '@angular/core';
import { Store, select } from '@ngrx/store';
import { Observable } from 'rxjs';
import { ConfigService } from '@shared/config';
import { selectors } from '../../state';

@Component({
  selector: 'ui-sidemenu',
  templateUrl: 'ui-sidemenu.component.html',
  styleUrls: ['ui-sidemenu.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UiSidemenuComponent implements OnInit {
  @Input() forStaff: false;
  @Input() userCompanyId: string;
  @Input() userLocationId: string;

  isOpen$: Observable<boolean>;
  version: string;

  constructor(private _config: ConfigService, private _store: Store) {
    this.version = this._config.get('appVersion');
  }

  ngOnInit() {
    this.isOpen$ = this._store.pipe(select(selectors.selectSidePanelIsOpen));
  }
}
