/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiSplitComponent
 */

import { Component, OnInit, HostListener } from '@angular/core';

@Component({
  selector: 'ui-split',
  templateUrl: 'ui-split.component.html',
})
export class UiSplitComponent implements OnInit {
  direction = 'horizontal';
  leftSize: number;
  rightSize: number;

  ngOnInit() {
    this.resetSizes();
    this.onWindowResize();
  }

  @HostListener('window:resize')
  onWindowResize() {
    const windowWidth = window.innerWidth;
    this.direction = windowWidth > 768 ? 'horizontal' : 'vertical';
  }

  handleGutterDoubleClick() {
    this.resetSizes();
  }

  resetSizes() {
    this.leftSize = 30;
    this.rightSize = 70;
  }
}
