/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiTextareaComponent
 */

import { Component, Input, OnInit } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { FormInputControl } from '@shared/classes/FormInputControl';

@Component({
  selector: 'ui-textarea',
  templateUrl: 'ui-textarea.component.html',
})
export class UiTextareaComponent extends FormInputControl implements OnInit {
  @Input() control: AbstractControl;
  @Input() label: string;
  @Input() name: string;
  @Input() type: string = 'text';
  @Input() rows: number = 3;
  @Input() placeholder: string = '';

  required: boolean = false;

  constructor() {
    super();
  }

  ngOnInit() {
    const validator =
      this.control.validator && this.control.validator({} as AbstractControl);
    this.required = validator && validator.required;
  }

  get inputName(): string {
    return this.name || this.label.split(' ').join('_').toLowerCase();
  }
}
