/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiToggleComponent
 */

import { Component, Input, OnInit, Output, EventEmitter } from '@angular/core';
import { FormControl } from '@angular/forms';
import { FormInputControl } from '@shared/classes/FormInputControl';

@Component({
  selector: 'ui-toggle',
  templateUrl: 'ui-toggle.component.html',
})
export class UiToggleComponent extends FormInputControl implements OnInit {
  @Input() control: FormControl;
  @Input() label: string;
  @Input() name: string;
  @Output() onChange = new EventEmitter();

  required: boolean = false;

  constructor() {
    super();
  }

  ngOnInit() {}

  handleChange(e: Event) {
    const target = e.target as HTMLInputElement;

    this.control.patchValue(Boolean(target.checked));
    this.onChange.emit(Boolean(target.checked));
  }

  get inputName(): string {
    return this.name || this.label.split(' ').join('_').toLowerCase();
  }
}
