/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiUploadComponent
 */

import { Component, Input, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';

@Component({
  selector: 'ui-upload',
  templateUrl: 'ui-upload.component.html',
  styleUrls: ['ui-upload.component.scss'],
})
export class UiUploadComponent implements OnInit {
  @Input() form: FormGroup;
  @Input() label: string = 'Upload Image';
  @Input() name: string;
  @Input() accept: string;

  loadedFile: File;
  required: boolean = false;
  imgSrc: any;

  ngOnInit() {}

  handleChange(event: File[]) {
    const file = event[0];
    this.loadedFile = file;
    this.form.patchValue({ file });

    const reader = new FileReader();
    reader.onload = (e) => (this.imgSrc = reader.result);
    reader.readAsDataURL(file);
  }

  get inputName(): string {
    return this.name || this.label.split(' ').join('_').toLowerCase();
  }
}
