/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiViewLoadingComponent
 */

import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'ui-view-loading',
  templateUrl: 'ui-view-loading.component.html',
})
export class UiViewLoadingComponent implements OnInit {
  @Input() msg = 'Loading..';

  isVisible: boolean = false;

  // We don't want to show the loader until a certain amount
  // of time has passed to avoid flickering on fast connections.
  ngOnInit() {
    setTimeout(() => {
      this.isVisible = true;
    }, 500);
  }
}
