/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * FocusDirective
 *
 * Sets the focus on the component to which it's applied upon.
 */

import { Directive, ElementRef, AfterViewInit } from '@angular/core';

@Directive({
  selector: '[focusDirective]',
})
export class FocusDirective implements AfterViewInit {
  focusables = ['input', 'select', 'textarea'];

  constructor(private element: ElementRef) {}

  ngAfterViewInit() {
    const input = this.element.nativeElement.querySelector(
      this.focusables.join(',')
    );
    if (input) {
      input.focus();
    }
  }
}
