/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UiInitialsPipe
 *
 * Given a string, the pipe returns the first letter of each word
 * of the given string value. The letter or initials are returned
 * uppercased.
 */

import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'uiInitials',
})
export class UiInitialsPipe implements PipeTransform {
  transform(value: string): any {
    return value
      .split(' ')
      .map((word) => word.charAt(0))
      .join('')
      .slice(0, 2)
      .toUpperCase();
  }
}
