import { Action, createReducer, on } from '@ngrx/store';
import * as actions from './actions';

export const STATE_FEATURE_NAME = 'ui';

export interface IUiState {
  sidePanelOpen: boolean;
}

const initialState: IUiState = {
  sidePanelOpen: true,
};

const _uiReducer = createReducer(
  initialState,
  on(actions.openSidePanel, (state) => ({
    ...state,
    sidePanelOpen: true,
  })),
  on(actions.closeSidePanel, (state) => ({
    ...state,
    sidePanelOpen: false,
  }))
);

export function uiReducer(state: IUiState | undefined, action: Action) {
  return _uiReducer(state, action);
}
