/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * EqualTo Form Validator
 */

import { AbstractControl, ValidatorFn } from '@angular/forms';  

/**
 * Checks the content of the input box is the same as the one from
 * anothe input box.
 */

export function equalTo(fieldName: string): ValidatorFn {
  return (control: AbstractControl): { [key: string]: any } | null => {
    if (!control.value) {
      return null;
    }

    const fieldToCheck = control.parent.get(fieldName);

    if (fieldToCheck) {
      if (control.value === fieldToCheck.value) {
        return null;
      }
    }

    return { equaltTo: `It doesn't match ${fieldName}` };
  };
}
