/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Serial Number Form Validator
 */

import { FormControl } from '@angular/forms';

/**
 * Checks the content of the input box contains only alphanumerical
 * values and only one dash symbol.
 */

export function sn(control: FormControl) {
  if (!control.value) {
    return null;
  }

  const regex = new RegExp(/^(?=.*?[0-9a-zA-Z])[0-9a-zA-Z]*[-]?[0-9a-zA-Z]*$/);

  if (regex.test(control.value)) {
    return null;
  }

  return { sn: 'Only alphanumerical values and one dash symbol are allowed.' };
}
