import { ChangeDetectionStrategy, Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Observable } from 'rxjs';
import { SiteService } from '../../site.service';

@Component({
  selector: 'site-newPurchase-page',
  templateUrl: 'site-newPurchase.page.html',
})
export class SiteNewPurchasePage implements OnInit {
  confirmation$: Observable<any>;

  constructor(private _route: ActivatedRoute, private _service: SiteService) {}

  ngOnInit() {
    this._route.queryParams.subscribe((params) => {
      const { token, PayerID } = params;

      this.confirmation$ = this._service.processPayment(token, PayerID);
    });
  }
}
