import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { SiteDashboardPage } from './pages/dashboard/site-dashboard.page';
import { SiteNewPurchasePage } from './pages/newPurchase/site-newPurchase.page';
import { SiteNotfoundPage } from './pages/notfound/site-notfound.page';
import { AuthPrivate } from '@auth/guards/auth-private.guard';

const routes: Routes = [
  { path: 'not-found', component: SiteNotfoundPage, pathMatch: 'full' },
  { path: 'purchase-confirmation', component: SiteNewPurchasePage, pathMatch: 'full' },
  {
    path: '',
    component: SiteDashboardPage,
    pathMatch: 'full',
    canActivate: [AuthPrivate],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class SiteRoutingModule {}
