import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HTTP_INTERCEPTORS } from '@angular/common/http';

import { UiModule } from '@shared/ui/ui.module';
import { SiteService } from './site.service';
import { SiteDashboardPage } from './pages/dashboard/site-dashboard.page';
import { SiteNotfoundPage } from './pages/notfound/site-notfound.page';

import { SiteHttpErrorsInterceptor } from './interceptors/site-http-errors.interceptor';
import { AuthModule } from '@auth';
import { SiteCounterComponent } from './components/counter/site-counter.component';

import { UsersModule } from '@users';
import { SystemsModule } from '@systems';
import { SystemStatusModule } from '@systemStatus/systemStatus.module';
import { IssuesModule } from '@issues/issues.module';
import { SystemAccountsModule } from '@systemAccounts/systemAccounts.module';
import { SiteNewPurchasePage } from './pages/newPurchase/site-newPurchase.page';

@NgModule({
  imports: [
    CommonModule,
    UiModule,
    AuthModule,
    UsersModule,
    SystemsModule,
    SystemStatusModule,
    SystemAccountsModule,
    IssuesModule,
  ],
  declarations: [
    SiteCounterComponent,
    SiteDashboardPage,
    SiteNotfoundPage,
    SiteNewPurchasePage,
  ],
  providers: [
    {
      provide: HTTP_INTERCEPTORS,
      useClass: SiteHttpErrorsInterceptor,
      multi: true,
    },
    SiteService,
  ],
})
export class SiteModule {}
