/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * DTO definitions for Software Platforms.
 */

export enum SoftwarePlatformType {
  'windows' = 'Windows',
  'itop' = 'ITOP',
  'itop2' = 'ITOP v2',
}
export class SoftwareListDto {
  total: number;
  data: SoftwareListItemDto[];
}

export class SoftwareListItemDto {
  id: string;
  pn: string;
  name: string;
  type: string;
  totalSoftwareModules: number;
  totalProducts: number;
  totalSystems: number;
  isActive: boolean;
}

export class SoftwareDto {
  id: string;
  pn: string;
  name: string;
  type: string;
  totalSoftwareModules: number;
  totalProducts: number;
  totalSystems: number;
  description: string;
  isActive: boolean;
  notes: string;
  created: string;
  updated: string;
}

export class SoftwareWriteDto {
  pn: string;
  name: string;
  type: string;
  description: string;
  isActive: boolean;
  notes: string;
}
