/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Routing module for Software Module.
 */

import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { SoftwareIndexPage } from './pages/index/software-index.page';
import { SoftwareViewPage } from './pages/view/software-view.page';
import { SoftwareResolver } from './resolvers/software.resolver';

import { AuthPrivate } from '@auth/guards/auth-private.guard';

const routes: Routes = [
  {
    path: '',
    canActivate: [AuthPrivate],
    children: [
      {
        path: ':id',
        component: SoftwareViewPage,
        resolve: { software: SoftwareResolver },
      },
      { path: '', component: SoftwareIndexPage, pathMatch: 'full' },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class SoftwareRoutingModule {}
