import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { CRUDService } from '@shared/classes/CRUDService';
import { ConfigService } from '@shared/config';
import { SoftwareListItemDto, SoftwareWriteDto } from './dto';
import { Observable } from 'rxjs';

@Injectable()
export class SoftwareService extends CRUDService<
  SoftwareListItemDto,
  SoftwareWriteDto
> {
  constructor(http: HttpClient, config: ConfigService) {
    const endpoint = config.get('apiUrl') + '/software';
    super(http, endpoint);
  }
}
