/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * SoftwareModules Module
 */

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';

import { UiModule } from '@shared/ui/ui.module';
import { ModalModule } from '@shared/modal/modal.module';
import { ModalFormModule } from '@shared/modal-form';

import { state, modelEffects, uiEffects } from './state';
import { SoftwareModulesService } from './softwareModules.service';
import { SoftwareModulesCreateComponent } from './components/create/softwareModules-create.component';
import { SoftwareModulesDeleteComponent } from './components/delete/softwareModules-delete.component';
import { SoftwareModulesEditComponent } from './components/edit/softwareModules-edit.component';
import { SoftwareModulesTableComponent } from './components/table/softwareModules-table.component';

@NgModule({
  imports: [
    CommonModule,
    UiModule,
    ReactiveFormsModule,
    ModalModule,
    ModalFormModule,
    StoreModule.forFeature(state.FEATURE_STATE_NAME, state.reducer),
    EffectsModule.forFeature([modelEffects, uiEffects]),
  ],
  providers: [SoftwareModulesService],
  declarations: [
    SoftwareModulesCreateComponent,
    SoftwareModulesEditComponent,
    SoftwareModulesDeleteComponent,
    SoftwareModulesTableComponent,
  ],
  exports: [
    SoftwareModulesCreateComponent,
    SoftwareModulesEditComponent,
    SoftwareModulesDeleteComponent,
    SoftwareModulesTableComponent,
  ],
})
export class SoftwareModulesModule {}
