import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { CRUDService } from '@shared/classes/CRUDService';
import { ConfigService } from '@shared/config';
import { SoftwareModuleListItemDto, SoftwareModuleWriteDto } from './dto';
import { Observable } from 'rxjs';

@Injectable()
export class SoftwareModulesService extends CRUDService<
  SoftwareModuleListItemDto,
  SoftwareModuleWriteDto
> {
  constructor(http: HttpClient, config: ConfigService) {
    const endpoint = config.get('apiUrl') + '/softwareModules';
    super(http, endpoint);
  }

  getForSoftware(softwareId: string): Observable<SoftwareModuleListItemDto[]> {
    return this.http.get<SoftwareModuleListItemDto[]>(
      `${this.endpoint}/software/${softwareId}`
    );
  }

  getForSystem(systemId: string): Observable<SoftwareModuleListItemDto[]> {
    return this.http.get<SoftwareModuleListItemDto[]>(
      `${this.endpoint}/system/${systemId}`
    );
  }

  getForProduct(productId: string): Observable<SoftwareModuleListItemDto[]> {
    return this.http.get<SoftwareModuleListItemDto[]>(
      `${this.endpoint}/product/${productId}`
    );
  }
}
