export enum SubscriptionType {
  'daily' = 'Daily',
  'weekly' = 'Weekly',
  'monthly' = 'Monthly',
  'annnual' = 'Annual',
  'permanent' = 'Permanent',
}
export class SubscriptionListDto {
  total: number;
  data: SubscriptionListItemDto[];
}

export class SubscriptionListItemDto {
  id: string;
  poDate: string;
  systemSN: string;
  softwareModuleName: string;
  type: string;
  isActive: boolean;
}

export class SubscriptionDto {
  id: string;
  poId: string;
  poDate: string;
  systemId: string;
  systemSN: string;
  softwareModuleId: string;
  softwareModuleName: string;
  type: string;
  description?: string;
  isActive: boolean;
  notes: string;
  created: string;
  updated: string;
}

export class SubscriptionWriteDto {
  type: string;
  description: string;
  system: string;
  softwareModule: string;
  isActive: boolean;
  notes: string;
}

// TODO: ideally these DTOs should be coming from an
// independend module that handles payment.
// We keep it this way for now until the application
// grows in complexity.
export class PaymentConfirmationURL {
  url: string;
}
