import { createAction, props } from '@ngrx/store';
import { Update } from '@ngrx/entity';
import { ModelTypes, SystemAccountDto, SystemAccountWriteDto } from '../dto';

export const selectItem = createAction(
  '[SystemAccounts] Select SystemAccount',
  props<{ id: string }>()
);

export const loadItems = createAction(
  '[SystemAccounts] Load SystemAccounts',
  props<{ systemId: string }>()
);
export const loadItemsSuccess = createAction(
  '[SystemAccounts] Load SystemAccounts Success',
  props<{ items: SystemAccountDto[] }>()
);
export const loadItemsError = createAction(
  '[SystemAccounts] Load SystemAccounts Error'
);

export const loadItem = createAction(
  '[SystemAccounts] Load SystemAccount',
  props<{ id: string }>()
);
export const loadItemSuccess = createAction(
  '[SystemAccounts] Load Item Success',
  props<{ item: SystemAccountDto }>()
);
export const loadItemError = createAction(
  '[SystemAccounts] Load SystemAccount Error'
);

export const addItem = createAction(
  '[SystemAccounts] Add SystemAccount',
  props<{ item: SystemAccountWriteDto }>()
);
export const addItemSuccess = createAction(
  '[SystemAccounts] Added SystemAccount',
  props<{ item: SystemAccountDto }>()
);
export const addItemError = createAction(
  '[SystemAccounts] Add SystemAccount Error'
);

export const updateItem = createAction(
  '[SystemAccounts] Update SystemAccount',
  props<{ id: string; updatedItem: SystemAccountWriteDto }>()
);
export const updateItemSuccess = createAction(
  '[SystemAccounts] Update SystemAccount Success',
  props<{ item: Update<SystemAccountDto> }>()
);
export const updateItemError = createAction(
  '[SystemAccounts] Update SystemAccount Error'
);

export const deleteItem = createAction(
  '[SystemAccounts] Delete SystemAccount',
  props<{ id: string }>()
);
export const deleteItemSuccess = createAction(
  '[SystemAccounts] Delete SystemAccount Success',
  props<{ id: string }>()
);
export const deleteItemError = createAction(
  '[SystemAccounts] Delete SystemAccount Success'
);

// Related data

// Load system accounts for other models
export const loadItemsForModel = createAction(
  '[SystemAccounts] Load SystemAccounts for Model',
  props<{ model: ModelTypes; id: string }>()
);
