import { createAction, props } from '@ngrx/store';
import { SystemStatusDto } from '../dto';

export const loadItems = createAction(
  '[SystemStatus] Load System Status for one system',
  props<{ systemId: string; date: string; lastOnly?: boolean }>()
);
export const loadItemsSuccess = createAction(
  '[SystemStatus] Load System Status Success',
  props<{ items: SystemStatusDto[] }>()
);
export const loadItemsError = createAction(
  '[SystemStatus] Load System Status Error'
);

export const loadItemsForAllSystems = createAction(
  '[SystemStatus] Load System Status for all systems',
  props<{ date: string }>()
);
