import { createSelector } from '@ngrx/store';
import { FEATURE_STATE_NAME, State, adapter } from './reducer';

interface AppState {
  [FEATURE_STATE_NAME]: State;
}

const selectState = (state: AppState) => state[FEATURE_STATE_NAME];

const selectors = adapter.getSelectors();

export const selectItems = createSelector(selectState, selectors.selectAll);
export const selectIsLoadingItems = createSelector(
  selectState,
  (state) => state.loadingItems
);
