import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { CRUDService } from '@shared/classes/CRUDService';
import { ConfigService } from '@shared/config';
import { SystemStatusDto } from './dto';
import { Observable } from 'rxjs';

@Injectable()
export class SystemStatusService extends CRUDService<
  SystemStatusDto,
  SystemStatusDto
> {
  constructor(http: HttpClient, config: ConfigService) {
    const endpoint = config.get('apiUrl') + '/systemStatus';
    super(http, endpoint);
  }

  getForSystem(
    systemId: string,
    date: string,
    lastOnly = false
  ): Observable<SystemStatusDto[]> {
    return this.http.get<SystemStatusDto[]>(
      `${this.endpoint}/${systemId}/${date}?lastOnly=${lastOnly}`
    );
  }

  getForAllSystems(date: string): Observable<SystemStatusDto[]> {
    return this.http.get<SystemStatusDto[]>(`${this.endpoint}/${date}`);
  }
}
