import { Component, Input, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Store, select } from '@ngrx/store';
import { actions, selectors } from '../../state';
import { SystemListItemDto } from '../../dto';

@Component({
  selector: 'systems-reset-secret',
  templateUrl: 'systems-reset-secret.component.html',
})
export class SystemsResetSecretComponent implements OnInit {
  @Input() id: string;

  item$: Observable<SystemListItemDto>;

  constructor(private _store: Store) {}

  ngOnInit() {
    this.item$ = this._store.pipe(select(selectors.selectCurrentItem));
  }

  handleSubmit(id: string) {
    this._store.dispatch(actions.resetSecret({ id }));
  }
}
