/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * DTO definitions for Systems.
 */

export type ModelTypes = 'dashboard' | 'company' | 'location';

export class SystemsListDto {
  total: number;
  data: SystemListItemDto[];
}

export class SystemListItemDto {
  id: string;
  sn: string;
  productName: string;
  locationName: string;
  companyName: string;
  isActive: boolean;
}

export class SystemDto {
  id: string;
  sn: string;
  tag: string;

  po: string;
  poDate: string;

  productId: string;
  productName: string;

  locationId: string;
  locationName: string;

  companId: string;
  companyName: string;

  description: string;
  isActive: boolean;
  notes: string;
  created: string;
  updated: string;
}

export class SystemWriteDto {
  sn: string;
  tag: string;
  po: string;
  poDate: string;
  product: string;
  location: string;
  company: string;
  description: string;
  isActive: boolean;
  notes: string;
}
