/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * System Resolver for the View page.
 */

import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { Store } from '@ngrx/store';
import { actions } from '../state';

@Injectable({ providedIn: 'root' })
export class SystemResolver implements Resolve<any> {
  constructor(private _store: Store) {}

  resolve(route: ActivatedRouteSnapshot): Observable<any> | Promise<any> | any {
    const id = route.paramMap.get('id');
    return this._store.dispatch(actions.loadItem({ id }));
  }
}
