/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Routing module for Systems Module.
 */

import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { SystemsIndexPage } from './pages/index/systems-index.page';
import { SystemsViewPage } from './pages/view/systems-view.page';
import { SystemResolver } from './resolvers/system.resolver';

import { AuthPrivate } from '@auth/guards/auth-private.guard';

const routes: Routes = [
  {
    path: '',
    canActivate: [AuthPrivate],
    children: [
      {
        path: ':id',
        component: SystemsViewPage,
        resolve: { location: SystemResolver },
      },
      { path: '', component: SystemsIndexPage, pathMatch: 'full' },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class SystemsRoutingModule {}
