/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Users Delete Component
 */

import { Component, Input, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Store, select } from '@ngrx/store';
import { actions, selectors } from '../../state';
import { UserListItemDto } from '../../dto';

@Component({
  selector: 'users-delete',
  templateUrl: 'users-delete.component.html',
})
export class UsersDeleteComponent implements OnInit {
  @Input() id: string;
  @Input() companyId: string;

  isDeleting$: Observable<boolean>;
  item$: Observable<UserListItemDto>;

  constructor(private _store: Store) {}

  ngOnInit() {
    this.isDeleting$ = this._store.pipe(select(selectors.selectIsDeletingItem));
    this.item$ = this._store.pipe(select(selectors.selectCurrentItem));
  }

  handleSubmit(id: string) {
    this._store.dispatch(actions.deleteItem({ id }));
  }
}
