/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Users List Item Component
 */

import { Component, Input } from '@angular/core';
import {
  UserProfileType,
  UserRoleType,
  UserInnerspecRoleType,
  UserListItemDto,
} from '../../dto';
import { getColor } from '../colors';

@Component({
  selector: 'users-list-item',
  templateUrl: 'users-list-item.component.html',
})
export class UsersListItemComponent {
  @Input() item: UserListItemDto;

  get name(): string {
    return this.item.name || this.item.email;
  }

  getTypeColor(item: UserListItemDto): string {
    return getColor(item.role);
  }
}
