/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Users Reset Password Component
 */

import { Component, OnInit, Output, EventEmitter } from '@angular/core';
import { FormBuilder, Validators } from '@angular/forms';
import { FormComponent } from '@shared/classes/FormComponent';
import { fadeInAnimation } from '@shared/ui/animations';

@Component({
  selector: 'users-reset-password-form',
  templateUrl: 'users-reset-password-form.component.html',
  styleUrls: ['users-reset-password-form.component.scss'],
  animations: [fadeInAnimation('1000ms')],
})
export class UsersResetPasswordFormComponent
  extends FormComponent
  implements OnInit
{
  @Output() onSubmit = new EventEmitter();

  constructor(private _formBuilder: FormBuilder) {
    super();
  }

  ngOnInit() {
    this.form = this._formBuilder.group({
      email: [, [Validators.required, Validators.email]],
    });
  }

  handleSubmit() {
    if (this.form.valid) {
      this.onSubmit.emit(this.form.value);
    }
  }
}
