/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * DTO definitions for Users.
 */

export enum UserProfileType {
  'user' = 'User',
  'innerspec' = 'Innerspec',
}

export enum UserRoleType {
  'employee' = 'Employee',
  'manager' = 'Manager',
  'corporate' = 'Corporate',
  'coporate_manager' = 'Corporate Manager',
}

export enum UserInnerspecRoleType {
  'employee' = 'Employee',
  'manager' = 'Manager',
  'superuser' = 'Superuser',
}

export type ModelTypes = 'dashboard' | 'online' | 'company' | 'location';

export class UsersListDto {
  total: number;
  data: UserListItemDto[];
}

export class UserListItemDto {
  id: string;
  email: string;
  name: string;
  profile: string;
  role: string;
  avatar: string;
  locationId: string;
  locationName: string;
  companyId: string;
  companyName: string;
  totalSystemAccounts: number;
  image: string;
  isActive: boolean;
}

export class UserDto {
  id: string;
  authorId: string;
  authorName: string;

  email: string;
  productKey: string; // for systems
  password: string;
  name: string;
  title: string;
  phone: string;
  profile: string;
  role: string;
  avatar: string;
  locationId: string;
  locationName: string;
  companyId: string;
  companyName: string;
  image: string;
  description: string;
  isActive: boolean;
  notes: string;
  created: string;
  updated: string;
}

export class UserWriteDto {
  email: string;
  productKey: string;
  password: string;
  name: string;
  title: string;
  department: string;
  phone: string;
  profile: UserProfileType;
  role: UserRoleType | UserInnerspecRoleType;
  locationId: string;
  image: string;
  description: string;
  isActive: boolean;
  notes: string;
}
