/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Users Login Page
 */

import { Component, OnInit } from '@angular/core';
import { Store, select } from '@ngrx/store';
import { Observable } from 'rxjs';
import { selectors as authSelectors, actions as authActions } from '@auth';

@Component({
  selector: 'users-login-page',
  templateUrl: 'users-login.page.html',
})
export class UsersLoginPage implements OnInit {
  isLoggingIn$: Observable<boolean>;

  constructor(private _store: Store) {}

  ngOnInit() {
    this.isLoggingIn$ = this._store.pipe(
      select(authSelectors.selectIsLoggingIn)
    );
  }

  handleSubmit({ email, password }) {
    this._store.dispatch(
      authActions.logIn({
        loginData: {
          email,
          password,
        },
      })
    );
  }
}
