/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UserProfileType Pipe
 *
 * Given a profile type value, this pipe returns the readable one 
 * based on the enum UserProfileType
 */

import { Pipe, PipeTransform } from '@angular/core';
import { UserProfileType } from '../dto';

@Pipe({
  name: 'userProfileType',
})
export class UserProfileTypePipe implements PipeTransform {
  transform(value: any): any {
    return UserProfileType[value];
  }
}
