/**
 * NDT-Link Client.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * UserRoleType Pipe
 *
 * Given a profile type value and a role type value, this pipe returns
 * the readable role type value based on the enums UserProfileType,
 * UserRoleType and UserStaffRoleType
 */

import { Pipe, PipeTransform } from '@angular/core';
import { UserProfileType, UserRoleType, UserInnerspecRoleType } from '../dto';

@Pipe({
  name: 'userRoleType',
})
export class UserRoleTypePipe implements PipeTransform {
  transform(value: any, ...args: any[]): any {
    const profileType = args[0];

    if (UserProfileType[profileType] === UserProfileType.user) {
      return UserRoleType[value];
    }

    if (UserProfileType[profileType] === UserProfileType.innerspec) {
      return UserInnerspecRoleType[value];
    }

    return '';
  }
}
