import { Controller } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { Crud, CrudController } from '@nestjsx/crud';
import { Address } from '@shared/domain';
import { AddressesService } from './addresses.service';
import { AddressDto, AddressCreateDto } from './addresses.dto';

@Crud({
  model: {
    type: Address,
  },
  serialize: {
    getMany: AddressDto,
    get: AddressDto,
    create: AddressDto,
    update: AddressDto,
  },
  dto: {
    create: AddressCreateDto,
    update: AddressCreateDto,
  },
})
@ApiTags('Addresses')
@Controller('addresses')
export class AddressesController implements CrudController<Address> {
  constructor(public service: AddressesService) {}
}
