/**
 * NDT-Link Backend.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * App Controller
 *
 */

import { AuthPublic } from '@auth';
import { Controller, Get } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { AppService } from './app.service';

@ApiTags('Application')
@Controller('')
export class AppController {
  constructor(public appService: AppService) {}

  @Get()
  @AuthPublic()
  getIndex() {
    return this.appService.getApiInfo();
  }
}
