/**
 * NDT-Link Backend.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Companies Modules
 */

import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { join } from 'path';
import { Company } from '@shared/domain';
import { CompaniesService } from './companies.service';
import { CompaniesController } from './companies.controller';
import { MulterModule } from '@nestjs/platform-express';

@Module({
  imports: [
    TypeOrmModule.forFeature([Company]),
    MulterModule.register({
      limits: {
        fileSize: 50000,
      },
      dest: join(__dirname, '..', '..', 'upload/images'),
    }),
  ],
  providers: [CompaniesService],
  exports: [CompaniesService],
  controllers: [CompaniesController],
})
export class CompaniesModule {}
