import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { MulterModule } from '@nestjs/platform-express';
import { join } from 'path';
import { DocumentsService } from './documents.service';
import { DocumentsController } from './documents.controller';
import { Document, BaseEntity } from '@shared/domain';

@Module({
  imports: [
    TypeOrmModule.forFeature([Document, BaseEntity]),
    MulterModule.register({
      limits: {
        fileSize: 7000000,
      },
      dest: join(__dirname, '..', '..', 'upload/documents'),
    }),
  ],
  providers: [DocumentsService],
  exports: [DocumentsService],
  controllers: [DocumentsController],
})
export class DocumentsModule {}
