import { Exclude, Expose } from 'class-transformer';
import { IsNotEmpty } from 'class-validator';

/**
 * DTO for Detail View in the front-end.
 */
@Exclude()
export class IssueCommentDto {
  @Expose()
  id: string;

  @Expose()
  authorId: string;

  @Expose()
  authorName: string;

  @Expose()
  description: string;

  @Expose()
  systemId: string;

  @Expose()
  created: string;
}

/**
 * DTO for creation and update using data sent from the front-end.
 * Includes decorators for validation.
 */
export class IssueCommentCreateDto {
  @IsNotEmpty()
  description: string;

  @IsNotEmpty()
  issue: string;
}
