import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { HtmlTemplateModule } from '@shared/html-template';
import { MailModule } from '@shared/mail';
import { IssueCommentsService } from './issueComments.service';
import { IssueCommentsController } from './issueComments.controller';
import { Issue, IssueComment, User } from '@shared/domain';

@Module({
  imports: [
    TypeOrmModule.forFeature([Issue, IssueComment, User]),
    HtmlTemplateModule,
    MailModule,
  ],
  providers: [IssueCommentsService],
  exports: [IssueCommentsService],
  controllers: [IssueCommentsController],
})
export class IssueCommentsModule {}
