import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { HtmlTemplateModule } from '@shared/html-template';
import { MailModule } from '@shared/mail';
import { IssuesService } from './issues.service';
import { IssuesController } from './issues.controller';
import { Issue, IssueComment, User } from '@shared/domain';

@Module({
  imports: [
    TypeOrmModule.forFeature([Issue, IssueComment, User]),
    HtmlTemplateModule,
    MailModule,
  ],
  providers: [IssuesService],
  exports: [IssuesService],
  controllers: [IssuesController],
})
export class IssuesModule {}
