import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { LocationsService } from './locations.service';
import { LocationsController } from './locations.controller';
import { Location, Company, User } from '@shared/domain';
import { GeocodingModule } from '@shared/geocoding/geocoding-module';

@Module({
  imports: [
    TypeOrmModule.forFeature([Location, Company, User]),
    GeocodingModule,
  ],
  providers: [LocationsService],
  exports: [LocationsService],
  controllers: [LocationsController],
})
export class LocationsModule {}
