import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity } from './base.entity';
import { Location } from './location.entity';

@Entity()
export class Address extends BaseEntity {
  @Column()
  isBilling: boolean;

  @Column()
  street: string;

  @Column({ nullable: true })
  street2?: string;

  @Column()
  city: string;

  @Column()
  zip: string;

  @Column()
  state: string;

  @Column({ nullable: true })
  phone?: string;

  @ManyToOne(() => Location, (location) => location.addresses)
  location: Promise<Location>;
}
