/**
 * NDT-Link Backend.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * IssueComment Entity
 */

import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity, spaceRemover } from './base.entity';
import { Issue } from './issue.entity';

@Entity()
export class IssueComment extends BaseEntity {
  @Column({ transformer: spaceRemover() })
  description: string;

  @ManyToOne(() => Issue)
  issue: Promise<Issue>;
}
