/**
 * NDT-Link Backend.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Payment Entity
 */

import {
  Entity,
  Column,
  ManyToOne,
  CreateDateColumn,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
} from 'typeorm';
import { System } from './system.entity';
import { SoftwareModule } from './softwareModule.entity';

@Entity()
export class Payment {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column()
  token: string;

  @ManyToOne(() => System)
  system: System;

  @ManyToOne(() => SoftwareModule)
  softwareModule: SoftwareModule;

  @Column()
  email: string;

  @Column({ nullable: true, default: '' })
  payerId: string;

  @Column({ nullable: true, default: false })
  completed: boolean;

  @CreateDateColumn()
  created: string;

  @UpdateDateColumn()
  updated: string;
}
