/**
 * NDT-Link Backend.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Session Entity
 */

import {
  Entity,
  CreateDateColumn,
  PrimaryGeneratedColumn,
  Column,
} from 'typeorm';

@Entity()
export class Session {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column({ type: 'longtext' })
  token: string;

  @Column({ type: 'timestamp', nullable: true })
  expiresOn: Date;

  // We don't use relationships here because for saving
  // we would need to find the User model first before
  // assigning to this property, which will make the login
  // routing heavier. We need to store this value just to
  // retrieve later the user email, this will be done with
  // a simple SQL raw query.
  @Column()
  userId: string;

  @CreateDateColumn({ type: 'timestamp', nullable: true })
  created: string;
}
