/**
 * NDT-Link Backend.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Software Module Entity
 */

import { Entity, Column, ManyToOne } from 'typeorm';
import { BaseEntity, spaceRemover } from './base.entity';
import { Software } from './software.entity';

@Entity()
export class SoftwareModule extends BaseEntity {
  @Column({ unique: true, transformer: spaceRemover() })
  pn: string;

  @Column({ transformer: spaceRemover() })
  name: string;

  @Column()
  isFree: boolean;

  @Column({ type: 'double', default: 0.0 })
  daily: number;

  @Column({ type: 'double', default: 0.0 })
  weekly: number;

  @Column({ type: 'double', default: 0.0 })
  monthly: number;

  @Column({ type: 'double', default: 0.0 })
  annual: number;

  @Column({ type: 'double', default: 0.0 })
  permanent: number;

  @ManyToOne(() => Software, (software) => software.softwareModules)
  software: Promise<Software>;
}
