import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { PaymentService } from './payment.service';
import { PaymentController } from './payment.controller';
import { Payment, System, SoftwareModule } from '@shared/domain';

@Module({
  imports: [TypeOrmModule.forFeature([Payment, System, SoftwareModule])],
  providers: [PaymentService],
  exports: [PaymentService],
  controllers: [PaymentController],
})
export class PaymentModule {}
