import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { PersistenceService } from './persistence.service';

import {
  BaseEntitySubscriber,
  LocationSubscriber,
  UserSubscriber,
} from './subscribers';

import { AuthModule } from '@auth';
@Module({
  imports: [
    TypeOrmModule.forRootAsync({
      useClass: PersistenceService,
    }),
    AuthModule,
  ],
  providers: [BaseEntitySubscriber, LocationSubscriber, UserSubscriber],
})
export class PersistenceModule {}
