import {
  PipeTransform,
  Injectable,
  ArgumentMetadata,
  HttpException,
  HttpStatus,
} from '@nestjs/common';

@Injectable()
export class BooleanPipe implements PipeTransform {
  transform(value: any, metadata: ArgumentMetadata) {
    if (!value) {
      return;
    }

    if (value === 'true') {
      return true;
    }
    if (value === 'false') {
      return false;
    }

    throw new HttpException(
      'Validation failed, boolean string is expected',
      HttpStatus.BAD_REQUEST,
    );
  }
}
