/**
 * NDT-Link Backend.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Software Module
 */

import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { SoftwareService } from './software.service';
import { SoftwareController } from './software.controller';
import { Software } from '@shared/domain';

@Module({
  imports: [TypeOrmModule.forFeature([Software])],
  providers: [SoftwareService],
  exports: [SoftwareService],
  controllers: [SoftwareController],
})
export class SoftwareModule {}
