/**
 * NDT-Link Backend.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Subscriptions Modules
 */

import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { HtmlTemplateModule } from '@shared/html-template';
import { MailModule } from '@shared/mail';
import { SubscriptionsService } from './subscriptions.service';
import { SubscriptionsController } from './subscriptions.controller';

import { Subscription, System, SoftwareModule, Payment } from '@shared/domain';
import { PaymentModule } from '@shared/payment/payment.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([Subscription, System, SoftwareModule, Payment]),
    HtmlTemplateModule,
    MailModule,
    PaymentModule,
  ],
  providers: [SubscriptionsService],
  exports: [SubscriptionsService],
  controllers: [SubscriptionsController],
})
export class SubscriptionsModule {}
