/**
 * NDT-Link Backend.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Swagger configuration.
 */
import { INestApplication } from '@nestjs/common';
import { DocumentBuilder, SwaggerModule } from '@nestjs/swagger';

export function initSwagger(app: INestApplication) {
  const options = new DocumentBuilder()
    .setTitle('NDT-Link API')
    .setDescription('Description document for NDT Link API')
    .setVersion('1.0')
    .addApiKey()
    .setLicense('Terms and Conditions', 'www.innerspec.com')
    .build();
  const document = SwaggerModule.createDocument(app, options);
  SwaggerModule.setup('api', app, document, {
    swaggerOptions: {
      docExpansion: 'none',
      defaultModelsExpandDepth: -1,
    },
  });
}
