/**
 * NDT-Link Backend.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * System Accounts Module
 */

import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { HtmlTemplateModule } from '@shared/html-template';
import { MailModule } from '@shared/mail';
import { SystemAccount, User, System } from '@shared/domain';
import { SystemAccountsService } from './systemAccounts.service';
import { SystemAccountsController } from './systemAccounts.controller';

@Module({
  imports: [
    TypeOrmModule.forFeature([SystemAccount, User, System]),
    HtmlTemplateModule,
    MailModule,
  ],
  providers: [SystemAccountsService],
  exports: [SystemAccountsService],
  controllers: [SystemAccountsController],
})
export class SystemAccountsModule {}
