/**
 * NDT-Link Backend.
 * Copyright 2021, Chakir Mrabet - Innerspec Technologies, Inc.
 *
 * Systems Modules
 */

import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { System, Product, Location } from '@shared/domain';
import { SystemsService } from './systems.service';
import { SystemsController } from './systems.controller';

import { HtmlTemplateModule } from '@shared/html-template';
import { MailModule } from '@shared/mail';
@Module({
  imports: [
    TypeOrmModule.forFeature([System, Product, Location]),
    HtmlTemplateModule,
    MailModule,
  ],
  providers: [SystemsService],
  exports: [SystemsService],
  controllers: [SystemsController],
})
export class SystemsModule {}
